/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.web;

import com.sun.appserv.management.util.misc.RunnableBase;
import org.apache.catalina.Lifecycle;

/**
 * java.lang.Runnable responsible for starting a Catalina
 * Lifecycle instance.
 *
 * For now, only virtual server and web context instances may be started
 * on their own thread.
 */
class LifecycleStarter extends RunnableBase {
        
    Lifecycle container;

    public LifecycleStarter(Lifecycle container) {
        this.container = container;
    }

    protected void doRun() throws Exception {
        container.start();
    }

    public Lifecycle getContainer() {
        return container;
    }
}
