/*
 * The contents of this file are subject to the terms
 * of the Common Development and Distribution License
 * (the License).  You may not use this file except in
 * compliance with the License.
 *
 * You can obtain a copy of the license at
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing
 * permissions and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL
 * Header Notice in each file and include the License file
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.
 * If applicable, add the following below the CDDL Header,
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information:
 * "Portions Copyrighted [year] [name of copyright owner]"
 *
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.grizzly.cometd;

import com.sun.enterprise.web.connector.grizzly.comet.CometEvent;
import com.sun.enterprise.web.connector.grizzly.comet.CometHandler;
import java.io.IOException;

/**
 * Specialized CometHandler interface that add support to Cometd Verbs
 * event.
 * 
 * @author Jeanfrancois Arcand
 *
 */
public interface CometdHandler extends CometHandler{
    
    public void onHandshake(CometEvent event) throws IOException;
    
    public void onConnect(CometEvent event) throws IOException;
    
    public void onDisconnect(CometEvent event) throws IOException;
    
    public void onPing(CometEvent event) throws IOException;
    
    public void onStatus(CometEvent event) throws IOException;
    
    public void onReconnect(CometEvent event) throws IOException;
    
    public void onSubscribe(CometEvent event) throws IOException;
    
    public void onUnsubscribe(CometEvent event) throws IOException;
    
    public void onData(CometEvent event) throws IOException;    
    
}
