/*
 * The contents of this file are subject to the terms
 * of the Common Development and Distribution License
 * (the License).  You may not use this file except in
 * compliance with the License.
 *
 * You can obtain a copy of the license at
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing
 * permissions and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL
 * Header Notice in each file and include the License file
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.
 * If applicable, add the following below the CDDL Header,
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information:
 * "Portions Copyrighted [year] [name of copyright owner]"
 *
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.grizzly.cometd.bayeux;

/**
 * Bayeux Verb interface used for implementing the reserved meta-channel Verbs:	
 *        
 *      * handshake
 *	* connect
 *	* reconnect
 *	* disconnect
 *	* status
 *	* subscribe
 * 	* unsubscribe
 *	* ping
 *
 * @author Jeanfrancois Arcand
 */
public interface Verb {
    
    //XXX Use enum
    public static int HANDSHAKE = 0;
    public static int CONNECT = 1;
    public static int DISCONNECT = 2;
    public static int RECONNECT = 3;
    public static int SUBSCRIBE = 4;
    public static int UNSUBSCRIBE = 5;    
    public static int STATUS = 6;
    public static int PING = 7;
    public static int DATA = 8;      
    public static int ADVISE = 9;     
    
    
    /**
     * Return the JSON representation of the Verb.
     */
    public String toJSON();

    
    /**
     * Return the Verb's type.
     */
    public int getType();
}
