/*
 * The contents of this file are subject to the terms
 * of the Common Development and Distribution License
 * (the License).  You may not use this file except in
 * compliance with the License.
 *
 * You can obtain a copy of the license at
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing
 * permissions and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL
 * Header Notice in each file and include the License file
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.
 * If applicable, add the following below the CDDL Header,
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information:
 * "Portions Copyrighted [year] [name of copyright owner]"
 *
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.grizzly.cometd.bayeux;

/**
 * Abstract Verb implementation shared by all meta channel verb. 
 * All cometd /meta/ channel messages contain a protocol version number and all
 * messages generated from (or routed through) an event router contain a message
 * ID which is unique to the router. No randomness is required in these
 * identifiers although routers are expected to drop messages which they have
 * previously "seen".
 *
 * @author Jeanfrancois Arcand
 */
public abstract class VerbBase implements Verb{
    
    
    protected String channel;
    
    
    protected int type;
    
    
    protected String authToken;
    
    
    protected Boolean successful = Boolean.TRUE;
    
   
    protected String error ="";    
    
    
    public VerbBase() {
    }

    
    public String getChannel() {
        return channel;
    }

    
    public void setChannel(String channel) {
        this.channel = channel;
    }

    
    public String getAuthToken() {
        return authToken;
    }

    
    public void setAuthToken(String autheToken) {
        this.authToken = autheToken;
    }

    
    public int getType(){
        return type;
    }   
}
